* [gentoo-commits] repo/gentoo:master commit in: x11-plugins/wmcube/, x11-plugins/wmcube/files/
@ 2020-01-30 8:55 Bernard Cafarelli
0 siblings, 0 replies; only message in thread
From: Bernard Cafarelli @ 2020-01-30 8:55 UTC (permalink / raw
To: gentoo-commits
commit: 6706ede2c1adc7783e6ed9c58eb5847b7d00c635
Author: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 30 08:54:48 2020 +0000
Commit: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Thu Jan 30 08:54:48 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6706ede2
x11-plugins/wmcube: fix build with -fno-common
Closes: https://bugs.gentoo.org/706892
Package-Manager: Portage-2.3.86, Repoman-2.3.20
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>
x11-plugins/wmcube/files/wmcube-1.0.2-gcc-10.patch | 21 +++++++++++++++++++++
x11-plugins/wmcube/wmcube-1.0.2.ebuild | 9 ++++++++-
2 files changed, 29 insertions(+), 1 deletion(-)
diff --git a/x11-plugins/wmcube/files/wmcube-1.0.2-gcc-10.patch b/x11-plugins/wmcube/files/wmcube-1.0.2-gcc-10.patch
new file mode 100644
index 00000000000..5beb4155256
--- /dev/null
+++ b/x11-plugins/wmcube/files/wmcube-1.0.2-gcc-10.patch
@@ -0,0 +1,21 @@
+--- a/wmgeneral/wmgeneral.c
++++ b/wmgeneral/wmgeneral.c
+@@ -45,6 +45,7 @@ Window iconwin, win;
+ GC NormalGC;
+ XpmIcon wmgen;
+ Pixmap pixmask;
++Display *display;
+
+ /*****************/
+ /* Mouse Regions */
+--- a/wmgeneral/wmgeneral.h
++++ b/wmgeneral/wmgeneral.h
+@@ -21,7 +21,7 @@ typedef struct {
+ /* Global variable */
+ /*******************/
+
+-Display *display;
++extern Display *display;
+
+ /***********************/
+ /* Function Prototypes */
diff --git a/x11-plugins/wmcube/wmcube-1.0.2.ebuild b/x11-plugins/wmcube/wmcube-1.0.2.ebuild
index cca916b659a..1a9633dc99c 100644
--- a/x11-plugins/wmcube/wmcube-1.0.2.ebuild
+++ b/x11-plugins/wmcube/wmcube-1.0.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -26,6 +26,13 @@ DOCS=(
)
S="${WORKDIR}/${P}/wmcube"
+src_prepare() {
+ default
+
+ pushd "${WORKDIR}"/${P} || die
+ eapply "${FILESDIR}"/${P}-gcc-10.patch
+}
+
src_compile() {
emake CC=$(tc-getCC) CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2020-01-30 8:55 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-01-30 8:55 [gentoo-commits] repo/gentoo:master commit in: x11-plugins/wmcube/, x11-plugins/wmcube/files/ Bernard Cafarelli
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox